LXC-USER-NIC(1)

NAME
lxc-user-nic - Manage nics in another network namespace

SYNOPSIS
lxc-user-niccreate lxcpath name pid type bridge container nicname lxc-user-nicdelete lxcpath name path to network namespace type bridge container nicname

DESCRIPTION

lxc-user-nic is a setuid-root program with which unprivileged users may manage network interfaces for use by a lxc container.

It will consult the configuration file /etc/lxc/lxc-usernet to determine the number of interfaces which the calling user is allowed to create, and which bridge he may attach them to. It tracks the number of interfaces each user has created using the file /run/lxc/nics. It ensures that the calling user is privileged over the network namespace to which the interface will be attached. lxc-user-nic also allows one to delete network devices. Currently only ovs ports can be deleted.

OPTIONS

lxcpath
    The path of the container. This is currently not used.

name
    The name of the container. This is currently not used.

pid The process id for the task to whose network namespace the interface should be attached.

type
    The network interface type to attach. Currently only veth is supported. With this type, two interfaces representing each tunnel endpoint are created. One endpoint will be attached to the specified bridge, while the other will be passed into the container.

bridge
    The bridge to which to attach the network interface, for instance lxcbr0.

container nicname
    The desired interface name in the container. This will be eth0 if unspecified.

path to network namespace
    A path to open to get a file descriptor for the target network namespace. This is only relevant when an veth device is deleted.

SEE ALSO

lxc(1), lxc-start(1), lxc-usernet(5)

AUTHOR

Christian Brauner <christian@brauner.io>

Serge Hallyn <serge@hallyn.com>

Daniel Lezcano <daniel.lezcano@free.fr>